> ## Documentation Index
> Fetch the complete documentation index at: https://kaneo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Organization Team

> Update an existing team in an organization



## OpenAPI

````yaml https://cloud.kaneo.app/api/openapi post /auth/organization/update-team
openapi: 3.0.3
info:
  title: Kaneo API
  description: Kaneo Project Management API - Manage projects, tasks, labels, and more
  version: 1.0.0
servers:
  - url: https://cloud.kaneo.app/api
    description: Kaneo API Server
security:
  - bearerAuth: []
tags:
  - name: Organization Management
paths:
  /auth/organization/update-team:
    post:
      tags:
        - Organization Management
      summary: Update Organization Team
      description: Update an existing team in an organization
      operationId: updateOrganizationTeam
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                teamId:
                  type: string
                  description: 'The ID of the team to be updated. Eg: "team-id"'
                data:
                  type: object
                  properties:
                    id:
                      type: string
                      default: CPydwq4QrrLpC9APJN7V62a5dFfl9Dc1
                      nullable: true
                    name:
                      type: string
                      nullable: true
                    organizationId:
                      type: string
                      nullable: true
                    createdAt:
                      type: string
                      nullable: true
                    updatedAt:
                      type: string
                      nullable: true
              required:
                - teamId
                - data
      responses:
        '200':
          description: Team updated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Unique identifier of the updated team
                  name:
                    type: string
                    description: Updated name of the team
                  organizationId:
                    type: string
                    description: ID of the organization the team belongs to
                  createdAt:
                    type: string
                    format: date-time
                    description: Timestamp when the team was created
                  updatedAt:
                    type: string
                    format: date-time
                    description: Timestamp when the team was last updated
                required:
                  - id
                  - name
                  - organizationId
                  - createdAt
                  - updatedAt
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
          description: >-
            Bad Request. Usually due to missing parameters, or invalid
            parameters.
        '401':
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
          description: Unauthorized. Due to missing or invalid authentication.
        '403':
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
          description: >-
            Forbidden. You do not have permission to access this resource or to
            perform this action.
        '404':
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
          description: Not Found. The requested resource was not found.
        '429':
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
          description: >-
            Too Many Requests. You have exceeded the rate limit. Try again
            later.
        '500':
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
          description: >-
            Internal Server Error. This is a problem with the server that you
            cannot fix.
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication

````